﻿<Window
    x:Class="Scheduler.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:controls="clr-namespace:Scheduler.Controls"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:Scheduler"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Title="MainWindow"
    Width="800"
    Height="600"
    mc:Ignorable="d">
    <Grid Background="Azure">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="250" />
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="3*" />
            <RowDefinition Height="2*" />
        </Grid.RowDefinitions>

        <Grid.Children>
            <Viewbox
                Grid.Row="0"
                Grid.Column="0"
                HorizontalAlignment="Stretch"
                VerticalAlignment="Stretch">
                <controls:Calendar />
            </Viewbox>
            <controls:EventEditor Grid.Row="1" Grid.Column="0" />
            <DockPanel
                Grid.Row="0"
                Grid.RowSpan="2"
                Grid.Column="1"
                Background="Azure">
                <controls:EventSearch DockPanel.Dock="Top" />
                <ScrollViewer
                    DockPanel.Dock="Top"
                    HorizontalScrollBarVisibility="Disabled"
                    VerticalScrollBarVisibility="Auto">
                    <controls:EventsList />
                </ScrollViewer>
            </DockPanel>
        </Grid.Children>
    </Grid>
</Window>